> ## Documentation Index
> Fetch the complete documentation index at: https://help.launcheshq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Me



## OpenAPI

````yaml https://api.launcheshq.com/openapi.json patch /api/auth/me
openapi: 3.1.0
info:
  title: LaunchHub API
  version: 1.0.0
servers: []
security: []
paths:
  /api/auth/me:
    patch:
      tags:
        - auth
      summary: Update Me
      operationId: update_me_api_auth_me_patch
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProfileUpdate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ProfileUpdate:
      properties:
        name:
          type: string
          maxLength: 100
          minLength: 1
          title: Name
        username:
          type: string
          maxLength: 50
          minLength: 1
          title: Username
        email:
          type: string
          format: email
          title: Email
      type: object
      required:
        - name
        - username
        - email
      title: ProfileUpdate
    UserResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        username:
          type: string
          title: Username
        email:
          type: string
          format: email
          title: Email
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
        bio:
          anyOf:
            - type: string
            - type: 'null'
          title: Bio
        is_admin:
          type: boolean
          title: Is Admin
          default: false
      type: object
      required:
        - id
        - name
        - username
        - email
      title: UserResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.